from fastapi import APIRouter
from starlette.requests import Request

from src.neo_neo_todo.utils.rate_limit import limiter

router = APIRouter(
    prefix="/control",
    tags=["control"],
)


@router.get("/ping")
@limiter.exempt
async def ping(request: Request):
    return {"ping": "pong"}
