import pytest
from httpx import AsyncClient

from src.neo_neo_todo.main import app


@pytest.mark.anyio
async def test_ping():
    async with AsyncClient(app=app, base_url="http://test") as ac:
        response = await ac.get("/control/ping")
    assert response.status_code == 200
    assert response.json() == {"ping": "pong"}
